## tderadio-trinity 14.0.4

=== debian/changelog ===
tderadio-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:59:32 +0200

tderadio-trinity (0.1.1.1~0ubuntu0) karmic; urgency=low

  * Karmic upload

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 22 Nov 2009 23:25:00 -0600

tderadio (0.1.1.1~20061112-4) unstable; urgency=low

  * QA upload ; orphaning after discussion with maintainer
  * fix up autoconf things (Closes: 543013)
  * Relibtoolize while we are at it.
  * Switch to unversioned autotools.
  * Clean up rules file.
  * Move homepage from description to dedicated field
  * Bump S-V
  * Update menu file

 -- Sune Vuorela <debian@pusling.com>  Wed, 02 Sep 2009 00:45:55 +0200

tderadio (0.1.1.1~20061112-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS, patch by Kibi (Closes: #455390)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 19:00:02 +0100

tderadio (0.1.1.1~20061112-3) unstable; urgency=low

  * Modify build-system to use automake
   - Remove build-depends against unsermake as it shall be removed from
     debian soon
   - Add build-depends against automake1.9
   - Recreate the autofoo files
   - Add build-depends against chrpath and use it to remove some rpaths
  * Make sure that all the .gmo generated files are deleted to avoid
    the FTBFS during a second build (Closes: #424463)
  * Dependencies are accurate for the new libflac libraries
    (Closes: #426649)

 -- Steffen Joeris <white@debian.org>  Wed, 20 Jun 2007 22:14:59 +0200

tderadio (0.1.1.1~20061112-2) unstable; urgency=low

  * Upload to unstable

 -- Steffen Joeris <white@debian.org>  Mon, 23 Apr 2007 05:59:03 +1000

tderadio (0.1.1.1~20061112-1) experimental; urgency=low

  * New upstream release
  * Fix small typo in debian/copyright
  * Bump debhelper level to 5
  * Change my maintainer address

 -- Steffen Joeris <white@debian.org>  Sun,  7 Jan 2007 18:42:05 +0100

tderadio (0.1.1.1~20060920-1) unstable; urgency=low

  * New upstream version
  * Drop 10-configure.dpatch
  * Drop dpatch from debian/rules and debian/control
  * Add build-depends against unsermake
  * Adjust debian/rules for cleaning up properly
  * Add temporary dependency, because unsermake is broken

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Tue,  3 Oct 2006 15:01:07 +1000

tderadio (0.1beta1.0snapshot20051127-2) unstable; urgency=low

  * Upload to unstable, no changes

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Sun,  5 Feb 2006 18:42:11 +0100

tderadio (0.1beta1.0snapshot20051127-1) experimental; urgency=low

  * Initial release for Debian (Closes: #341954)
  * drop debian dir from upstream and use own debian dir

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Sun,  4 Dec 2005 12:01:26 +0000

## tderadio-trinity 14.1.0

=== src/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/include
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### tderadio (shared)

tde_add_library( tderadio SHARED AUTOMOC
  META_INCLUDES ${CMAKE_CURRENT_SOURCE_DIR}/include
  SOURCES
    alarm.cpp
    debug-profiler.cpp
    errorlog-interfaces.cpp
    fileringbuffer.cpp
    frequencyradiostation.cpp
    frequencyseekhelper.cpp
    internetradiostation.cpp
    multibuffer.cpp
    plugin_configuration_dialog.cpp
    plugins.cpp
    pluginmanager.cpp
    pluginmanager-configuration.cpp
    pluginmanager-configuration-ui.ui
    radio_interfaces.cpp
    radiodevice_interfaces.cpp
    radiodevicepool_interfaces.cpp
    radiostation.cpp
    radiostation-config.cpp
    radiostation-listview.cpp
    ringbuffer.cpp
    seekhelper.cpp
    soundformat.cpp
    soundstreamclient_interfaces.cpp
    soundstreamid.cpp
    standardscandialog.cpp
    standardscandialog-ui.ui
    station-drag-object.cpp
    stationlist.cpp
    stationlistxmlhandler.cpp
    stationselection_interfaces.cpp
    stationselector.cpp
    stationselector-ui.ui
    timecontrol_interfaces.cpp
    utils.cpp
    widgetplugins.cpp

  LINK tdecore-shared tdeui-shared tdeio-shared
  VERSION 0.0.0
  DESTINATION ${LIB_INSTALL_DIR}
)


##### tderadio (executable)

tde_add_executable( tderadio AUTOMOC
  META_INCLUDES ${CMAKE_CURRENT_SOURCE_DIR}/include
  SOURCES
    main.cpp
    tderadioapp.cpp
    aboutwidget.cpp

  LINK tderadio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop( tderadio.desktop )

INSTALL(
  FILES tderadio.xpm
  DESTINATION ${SHARE_INSTALL_PREFIX}/pixmaps
)

## tderadio-trinity 14.0.5

=== debian/changelog ===
tderadio-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 08:49:31 +0200

=== debian/control ===
Source: tderadio-trinity
Section: sound
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>= 7.0.50~), tdelibs14-trinity-dev, liblircclient-dev, libsndfile1-dev, imagemagick, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://tderadio.sourceforge.net/

Package: tderadio-trinity
Architecture: any
Depends: ${shlibs:Depends}
Replaces: kradio-kde3 (<< 4:14.0.0~), kradio-trinity (<< 4:14.0.0~)
Breaks: kradio-kde3 (<< 4:14.0.0~), kradio-trinity (<< 4:14.0.0~)
Description: Comfortable Radio Application for TDE [Trinity]
 TDERadio is a comfortable radio application for TDE with support for 
 V4L and V4L2 radio cards drivers.
 .
 TDERadio currently provides
 .
   * V4L/V4L2 radio support
   * Remote control support (LIRC)
   * Alarms, sleep Countdown
   * Several GUI Controls (Docking Menu, Station Quickbar, Radio Display)
   * Recording capabilities, including MP3 and Ogg/Vorbis encoding
   * Timeshifter functionality
   * Extendable plugin architecture
 .
 This package also includes a growing collection of station preset
 files for many cities around the world contributed by TDERadio users.
 .
 As TDERadio is based on an extendable plugin architecture, contributions
 of new plugins (e.g. Internet Radio Streams, new cool GUIs) are welcome.
 .

## tderadio-trinity 14.0.6

=== debian/changelog ===
tderadio-trinity (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:50:42 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Package: tderadio-trinity
 Architecture: any
 Depends: ${shlibs:Depends}
-Replaces: kradio-kde3 (<< 4:14.0.0~), kradio-trinity (<< 4:14.0.0~)
-Breaks: kradio-kde3 (<< 4:14.0.0~), kradio-trinity (<< 4:14.0.0~)
+Replaces: kradio-trinity (<< 4:14.0.0~)
+Breaks: kradio-trinity (<< 4:14.0.0~)
 Description: Comfortable Radio Application for TDE [Trinity]
  TDERadio is a comfortable radio application for TDE with support for 
  V4L and V4L2 radio cards drivers.

## tderadio-trinity 14.0.8

=== debian/changelog ===
tderadio-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:56:28 +0200

## tderadio-trinity 14.0.10

=== debian/changelog ===
tderadio-trinity (4:14.0.10-0raspbian8.0.0+0) raspbian-jessie; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: tderadio-trinity
 Section: sound
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 7.0.50~), tdelibs14-trinity-dev, liblircclient-dev, libsndfile1-dev, imagemagick, automake, autoconf, libtool, libltdl-dev
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
+Build-Depends: debhelper (>= 9~), tdelibs14-trinity-dev, liblircclient-dev, libsndfile1-dev, imagemagick, automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
 Homepage: http://tderadio.sourceforge.net/

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

# The default gzip compressor has been changed in dpkg >= 1.17.0.
deb_default_compress = $(shell LANG=C dpkg-deb --version | head -n1 | \
                         sed -e "s|.*version ||" -e "s| .*||" | \
                         xargs -r dpkg --compare-versions 1.17.0 lt \
                         && echo xz || echo gzip)
ifeq ($(deb_default_compress),gzip)
DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)
endif

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

debian/tderadio.xpm: tderadio3/icons/hi32-app-tderadio.png
	convert $< $@

configure:
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cat /usr/share/aclocal/libtool.m4 > admin/libtool.m4.in
	cp -f /usr/share/misc/config.sub admin/config.sub
	cp -f /usr/share/misc/config.guess admin/config.guess

	make -f admin/Makefile.common

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/opt/trinity --with-qt-dir=/usr/share/qt3 \
		--with-qt-includes=/usr/include/qt3 \
		--with-qt-libraries=/usr/share/qt3/lib \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--disable-rpath --disable-debug \
		kde_htmldir=\$${prefix}/share/doc/tde/HTML
															


build: build-stamp debian/tderadio.xpm

build-stamp:  config.status
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	rm -f debian/debiandirs 
	rm -f debian/tderadio.xpm 
	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
#	[ ! -tderadio3/src && $(MAKE) clean
	for i in `find | grep .gmo` ; do rm -f $$i ; done
	find -name Makefile.in -delete
	rm -f config.sub config.guess configure
	rm -f acinclude.m4
	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	# Add here commands to install the package into debian/tderadio.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tderadio-trinity
	install -D -m 644 debian/tderadio.xpm debian/tderadio-trinity/opt/trinity/share/pixmaps/tderadio.xpm
#	chrpath -d debian/tderadio/usr/lib/tderadio/plugins/libalsa-sound.so
#	chrpath -d debian/tderadio/usr/lib/tderadio/plugins/libtimeshifter.so
#	chrpath -d debian/tderadio/usr/lib/tderadio/plugins/libstandard-display.so
#	chrpath -d debian/tderadio/usr/lib/tderadio/plugins/liblirc.so
#	chrpath -d debian/tderadio/usr/lib/tderadio/plugins/libstreaming.so
#	chrpath -d debian/tderadio/usr/lib/tderadio/plugins/libradio.so
#	chrpath -d debian/tderadio/usr/lib/tderadio/plugins/libquickbar.so
#	chrpath -d debian/tderadio/usr/lib/tderadio/plugins/librecording.so
#	chrpath -d debian/tderadio/usr/lib/tderadio/plugins/libv4lradio.so
#	chrpath -d debian/tderadio/usr/lib/tderadio/plugins/libtimecontrol.so
#	chrpath -d debian/tderadio/usr/lib/tderadio/plugins/libdocking-menu.so
#	chrpath -d debian/tderadio/usr/lib/tderadio/plugins/liboss-sound.so
#	chrpath -d debian/tderadio/usr/lib/tderadio/plugins/liberror-log.so
#	chrpath -d debian/tderadio/usr/lib/tderadio/plugins/libsoundserver.so
#	chrpath -d debian/tderadio/usr/bin/convert-presets
#	chrpath -d debian/tderadio/usr/bin/tderadio

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs tderadio3/ChangeLog
	dh_installdocs 
	dh_installmenu
	dh_installman
	mv debian/tderadio-trinity/usr/share/man debian/tderadio-trinity/opt/trinity/share/
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb $(DEB_DH_BUILDDEB_ARGS)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## tderadio-trinity 14.0.13

=== debian/changelog ===
tderadio-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tderadio

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 28 Sep 2022 02:24:13 +0200

## tderadio-trinity 14.1.0

=== debian/changelog ===
tderadio-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tderadio

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## tderadio-trinity 14.1.1

=== debian/changelog ===
tderadio-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tderadio

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 29 Aug 2023 03:47:18 +0200

## tderadio-trinity 14.1.2

=== debian/changelog ===
tderadio-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tderadio

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:47 +0200

## tderadio-trinity 14.1.3

=== debian/changelog ===
tderadio-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tderadio

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 17 Oct 2024 23:10:35 +0200

## tderadio-trinity 14.1.4

=== debian/changelog ===
tderadio-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tderadio

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## tderadio-trinity 14.1.5~pre2

=== debian/changelog ===
tderadio-trinity (4:14.1.5~pre2-0ubuntu18.04.0+3) bionic; urgency=low

  * Automated git build for 8f14f9554150268325897db30fe1e9e66a2d684c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tderadio

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: sound
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: debhelper (>= 9~), tdelibs14-trinity-dev, liblircclient-dev, libsndfile1-dev, imagemagick, automake, autoconf, libtool, libltdl-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev,
+               liblirc-dev, libsndfile1-dev, libmp3lame-dev, libogg-dev, libvorbis-dev
 Standards-Version: 3.8.4
-Homepage: http://tderadio.sourceforge.net/
 
 Package: tderadio-trinity
 Architecture: any
 Depends: ${shlibs:Depends}
-Replaces: kradio-trinity (<< 4:14.0.0~)
-Breaks: kradio-trinity (<< 4:14.0.0~)
+Replaces: kradio-kde3 (<< 4:14.0.0~), kradio-trinity (<< 4:14.0.0~)
+Breaks: kradio-kde3 (<< 4:14.0.0~), kradio-trinity (<< 4:14.0.0~)
 Description: Comfortable Radio Application for TDE [Trinity]
  TDERadio is a comfortable radio application for TDE with support for 
  V4L and V4L2 radio cards drivers.

## tderadio-trinity 14.1.5

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


#### general package setup

project( tderadio )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF )
option( WITH_LAME        "Enable lame support"         ${WITH_ALL_OPTIONS} )
option( WITH_OGG         "Enable ogg/vorbis support"   ${WITH_ALL_OPTIONS} )

option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all"           ON           )
option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )

option( BUILD_ALSA_PLUGIN  "Build ALSA plugin"   ${BUILD_ALL} )
option( BUILD_LIRC_PLUGIN  "Build LIRC plugin"   ${BUILD_ALL} )
option( BUILD_OSS_PLUGIN   "Build OSS plugin"    ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( convert-presets )
add_subdirectory( icons )
add_subdirectory( plugins )
add_subdirectory( presets )
add_subdirectory( src )


##### other data ################################

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== plugins/recording/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${OGG_INCLUDE_DIRS}
  ${VORBIS_INCLUDE_DIRS}
  ${VORBISENC_INCLUDE_DIRS}
  ${VORBISFILE_INCLUDE_DIRS}
  ${SNDFILE_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
  ${OGG_LIBRARY_DIRS}
  ${VORBIS_LIBRARY_DIRS}
  ${VORBISENC_LIBRARY_DIRS}
  ${VORBISFILE_LIBRARY_DIRS}
  ${SNDFILE_LIBRARY_DIRS}
)


##### recording (icons and translations)

add_subdirectory( icons )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations/messages )


##### recording (plugin)

tde_add_kpart( librecording AUTOMOC
  SOURCES
    recording-configuration.cpp recording-configuration-ui.ui recording.cpp
    recording-config.cpp reccfg_interfaces.cpp encoder.cpp recording-datamonitor.cpp
    recording-monitor.cpp encoder_mp3.cpp encoder_ogg.cpp encoder_pcm.cpp

  LINK tderadio-shared ${LAME_LIBRARIES} ${OGG_LIBRARIES} ${VORBIS_LIBRARIES}
    ${VORBISFILE_LIBRARIES} ${VORBISENC_LIBRARIES} ${SNDFILE_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}/${PROJECT_NAME}/plugins
)

=== plugins/streaming/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### streaming (icons and translations)

add_subdirectory( icons )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations/messages )


##### streaming (plugin)

tde_add_kpart( libstreaming AUTOMOC
  SOURCES
    streaming.cpp streaming-configuration-ui.ui
    streaming-configuration.cpp streaming-job.cpp

  LINK tderadio-shared
  DESTINATION ${LIB_INSTALL_DIR}/${PROJECT_NAME}/plugins
)

=== plugins/timecontrol/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### timecontrol (icons and translations)

add_subdirectory( icons )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations/messages )


##### timecontrol (plugin)

tde_add_kpart( libtimecontrol AUTOMOC
  SOURCES timecontrol-configuration.cpp timecontrol-configuration-ui.ui timecontrol.cpp
  LINK tderadio-shared
  DESTINATION ${LIB_INSTALL_DIR}/${PROJECT_NAME}/plugins
)

=== debian/changelog ===
tderadio-trinity (4:14.1.5-0raspbian13.0.0+0) raspbian-trixie; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tderadio

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Package: tderadio-trinity
 Architecture: any
 Depends: ${shlibs:Depends}
-Replaces: kradio-kde3 (<< 4:14.0.0~), kradio-trinity (<< 4:14.0.0~)
-Breaks: kradio-kde3 (<< 4:14.0.0~), kradio-trinity (<< 4:14.0.0~)
+Replaces: kradio-trinity (<< 4:14.0.0~)
+Breaks: kradio-trinity (<< 4:14.0.0~)
 Description: Comfortable Radio Application for TDE [Trinity]
  TDERadio is a comfortable radio application for TDE with support for 
  V4L and V4L2 radio cards drivers.

## tderadio-trinity 14.1.6~pre0

=== debian/changelog ===
tderadio-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 8f14f9554150268325897db30fe1e9e66a2d684c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tderadio

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tderadio-trinity 14.1.6~pre1

=== debian/changelog ===
tderadio-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for e19f07140abbb731f9795bc77d5563d27cf19bb7
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tderadio

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:50:55 +0100

## tderadio-trinity 14.1.6~pre2

=== debian/changelog ===
tderadio-trinity (4:14.1.6~pre2-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for 73c908c9896b2e8a494d39ca0ee1f8e0533a0bf3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tderadio

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 17 Feb 2026 22:33:24 +0100

## tderadio-trinity 14.2.0~pre164

=== convert-presets/translations/messages/CMakeLists.txt ===
tde_add_project_translations()

=== debian/changelog ===
tderadio-trinity (4:14.2.0~pre164-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 760a03906c7c71918d63764ca0da0a81fee71337
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tderadio

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## tderadio-trinity 14.2.0~pre165

=== debian/changelog ===
tderadio-trinity (4:14.2.0~pre165-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 6ae52cea9e4cfd95e0e0224d88b61d6e7d802fa7
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tderadio

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:01:00 +0100
